Skip to main content
GET
/
v1
/
customers
/
{id}
Retrieve a customer
curl --request GET \
  --url https://api.yorlet.com/v1/customers/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "customer",
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "country": "<string>",
    "postal_code": "<string>",
    "state": "<string>"
  },
  "default_payment_method": "<string>",
  "delinquent": true,
  "description": "<string>",
  "email": "[email protected]",
  "invoice_prefix": "<string>",
  "invoicing": {
    "arrears_emails": true,
    "email_cc": [
      "[email protected]"
    ],
    "email_to": "[email protected]"
  },
  "legal": {
    "dob": {
      "day": 16,
      "month": 6.5,
      "year": 5949.5
    },
    "first_name": "<string>",
    "last_name": "<string>"
  },
  "name": "<string>",
  "phone": "<string>",
  "radar": {
    "message": "<string>",
    "reason": "<string>",
    "risk_level": "<string>"
  },
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns a customer object if a valid identifier was provided.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
customer
address
object
required
default_payment_method
required
delinquent
boolean
required
description
string | null
required
email
string<email>
required
invoice_prefix
string
required
invoicing
object
required
name
string | null
required
phone
string | null
required
radar
object
required
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.